org.apache.nutch.storage

## Class WebPage.Tombstone

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.gora.persistency.impl.PersistentBase
    - - org.apache.nutch.storage.WebPage
      - - org.apache.nutch.storage.WebPage.Tombstone

- All Implemented Interfaces:
    Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord, org.apache.gora.persistency.Dirtyable, org.apache.gora.persistency.Persistent, org.apache.gora.persistency.Tombstone
  Enclosing class:
    WebPage

      public static final class WebPage.Tombstone
      extends WebPage
      implements org.apache.gora.persistency.Tombstone

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.nutch.storage.WebPage

      `WebPage.Builder, WebPage.Field, WebPage.Tombstone`

    - ### Nested classes/interfaces inherited from class org.apache.gora.persistency.impl.PersistentBase

      `org.apache.gora.persistency.impl.PersistentBase.PersistentData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.storage.WebPage

      `_ALL_FIELDS, SCHEMA$`

    - ### Fields inherited from interface org.apache.gora.persistency.Persistent

      `DIRTY_BYTES_FIELD_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharSequence` | `getBaseUrl()` Gets the value of the 'baseUrl' field.
    `CharSequence` | `getBatchId()` Gets the value of the 'batchId' field.
    `ByteBuffer` | `getContent()` Gets the value of the 'content' field.
    `CharSequence` | `getContentType()` Gets the value of the 'contentType' field.
    `Integer` | `getFetchInterval()` Gets the value of the 'fetchInterval' field.
    `Long` | `getFetchTime()` Gets the value of the 'fetchTime' field.
    `Map<CharSequence,CharSequence>` | `getHeaders()` Gets the value of the 'headers' field.
    `Map<CharSequence,CharSequence>` | `getInlinks()` Gets the value of the 'inlinks' field.
    `Map<CharSequence,CharSequence>` | `getMarkers()` Gets the value of the 'markers' field.
    `Map<CharSequence,ByteBuffer>` | `getMetadata()` Gets the value of the 'metadata' field.
    `Long` | `getModifiedTime()` Gets the value of the 'modifiedTime' field.
    `Map<CharSequence,CharSequence>` | `getOutlinks()` Gets the value of the 'outlinks' field.
    `ParseStatus` | `getParseStatus()` Gets the value of the 'parseStatus' field.
    `Long` | `getPrevFetchTime()` Gets the value of the 'prevFetchTime' field.
    `Long` | `getPrevModifiedTime()` Gets the value of the 'prevModifiedTime' field.
    `ByteBuffer` | `getPrevSignature()` Gets the value of the 'prevSignature' field.
    `ProtocolStatus` | `getProtocolStatus()` Gets the value of the 'protocolStatus' field.
    `CharSequence` | `getReprUrl()` Gets the value of the 'reprUrl' field.
    `Integer` | `getRetriesSinceFetch()` Gets the value of the 'retriesSinceFetch' field.
    `Float` | `getScore()` Gets the value of the 'score' field.
    `ByteBuffer` | `getSignature()` Gets the value of the 'signature' field.
    `Integer` | `getStatus()` Gets the value of the 'status' field.
    `CharSequence` | `getText()` Gets the value of the 'text' field.
    `CharSequence` | `getTitle()` Gets the value of the 'title' field.
    `boolean` | `isBaseUrlDirty(CharSequence value)` Checks the dirty status of the 'baseUrl' field.
    `boolean` | `isBatchIdDirty(CharSequence value)` Checks the dirty status of the 'batchId' field.
    `boolean` | `isContentDirty(ByteBuffer value)` Checks the dirty status of the 'content' field.
    `boolean` | `isContentTypeDirty(CharSequence value)` Checks the dirty status of the 'contentType' field.
    `boolean` | `isFetchIntervalDirty(Integer value)` Checks the dirty status of the 'fetchInterval' field.
    `boolean` | `isFetchTimeDirty(Long value)` Checks the dirty status of the 'fetchTime' field.
    `boolean` | `isHeadersDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'headers' field.
    `boolean` | `isInlinksDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'inlinks' field.
    `boolean` | `isMarkersDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'markers' field.
    `boolean` | `isMetadataDirty(Map<CharSequence,ByteBuffer> value)` Checks the dirty status of the 'metadata' field.
    `boolean` | `isModifiedTimeDirty(Long value)` Checks the dirty status of the 'modifiedTime' field.
    `boolean` | `isOutlinksDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'outlinks' field.
    `boolean` | `isParseStatusDirty(ParseStatus value)` Checks the dirty status of the 'parseStatus' field.
    `boolean` | `isPrevFetchTimeDirty(Long value)` Checks the dirty status of the 'prevFetchTime' field.
    `boolean` | `isPrevModifiedTimeDirty(Long value)` Checks the dirty status of the 'prevModifiedTime' field.
    `boolean` | `isPrevSignatureDirty(ByteBuffer value)` Checks the dirty status of the 'prevSignature' field.
    `boolean` | `isProtocolStatusDirty(ProtocolStatus value)` Checks the dirty status of the 'protocolStatus' field.
    `boolean` | `isReprUrlDirty(CharSequence value)` Checks the dirty status of the 'reprUrl' field.
    `boolean` | `isRetriesSinceFetchDirty(Integer value)` Checks the dirty status of the 'retriesSinceFetch' field.
    `boolean` | `isScoreDirty(Float value)` Checks the dirty status of the 'score' field.
    `boolean` | `isSignatureDirty(ByteBuffer value)` Checks the dirty status of the 'signature' field.
    `boolean` | `isStatusDirty(Integer value)` Checks the dirty status of the 'status' field.
    `boolean` | `isTextDirty(CharSequence value)` Checks the dirty status of the 'text' field.
    `boolean` | `isTitleDirty(CharSequence value)` Checks the dirty status of the 'title' field.
    `void` | `setBaseUrl(CharSequence value)` Sets the value of the 'baseUrl' field.
    `void` | `setBatchId(CharSequence value)` Sets the value of the 'batchId' field.
    `void` | `setContent(ByteBuffer value)` Sets the value of the 'content' field.
    `void` | `setContentType(CharSequence value)` Sets the value of the 'contentType' field.
    `void` | `setFetchInterval(Integer value)` Sets the value of the 'fetchInterval' field.
    `void` | `setFetchTime(Long value)` Sets the value of the 'fetchTime' field.
    `void` | `setHeaders(Map<CharSequence,CharSequence> value)` Sets the value of the 'headers' field.
    `void` | `setInlinks(Map<CharSequence,CharSequence> value)` Sets the value of the 'inlinks' field.
    `void` | `setMarkers(Map<CharSequence,CharSequence> value)` Sets the value of the 'markers' field.
    `void` | `setMetadata(Map<CharSequence,ByteBuffer> value)` Sets the value of the 'metadata' field.
    `void` | `setModifiedTime(Long value)` Sets the value of the 'modifiedTime' field.
    `void` | `setOutlinks(Map<CharSequence,CharSequence> value)` Sets the value of the 'outlinks' field.
    `void` | `setParseStatus(ParseStatus value)` Sets the value of the 'parseStatus' field.
    `void` | `setPrevFetchTime(Long value)` Sets the value of the 'prevFetchTime' field.
    `void` | `setPrevModifiedTime(Long value)` Sets the value of the 'prevModifiedTime' field.
    `void` | `setPrevSignature(ByteBuffer value)` Sets the value of the 'prevSignature' field.
    `void` | `setProtocolStatus(ProtocolStatus value)` Sets the value of the 'protocolStatus' field.
    `void` | `setReprUrl(CharSequence value)` Sets the value of the 'reprUrl' field.
    `void` | `setRetriesSinceFetch(Integer value)` Sets the value of the 'retriesSinceFetch' field.
    `void` | `setScore(Float value)` Sets the value of the 'score' field.
    `void` | `setSignature(ByteBuffer value)` Sets the value of the 'signature' field.
    `void` | `setStatus(Integer value)` Sets the value of the 'status' field.
    `void` | `setText(CharSequence value)` Sets the value of the 'text' field.
    `void` | `setTitle(CharSequence value)` Sets the value of the 'title' field.

    - ### Methods inherited from class org.apache.nutch.storage.WebPage

      `get, getFieldsCount, getSchema, getTombstone, newBuilder, newBuilder, newBuilder, newInstance, put`

    - ### Methods inherited from class org.apache.gora.persistency.impl.PersistentBase

      `clear, clearDirty, clearDirty, clearDirty, equals, getUnmanagedFields, isDirty, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.gora.persistency.Persistent

      `clear, clearDirty, clearDirty, getUnmanagedFields, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from interface org.apache.gora.persistency.Dirtyable

      `clearDirty, isDirty`

- - ### Method Detail

    - #### getBaseUrl

          public CharSequence getBaseUrl()

      Gets the value of the 'baseUrl' field. The original associated with this WebPage.
      Overrides:
        `getBaseUrl` in class `WebPage`

    - #### setBaseUrl

          public void setBaseUrl(CharSequence value)

      Sets the value of the 'baseUrl' field. The original associated with this WebPage. * @param value the value to set.
      Overrides:
        `setBaseUrl` in class `WebPage`

    - #### isBaseUrlDirty

          public boolean isBaseUrlDirty(CharSequence value)

      Checks the dirty status of the 'baseUrl' field. A field is dirty if it represents a change that has not yet been written to the database. The original associated with this WebPage. * @param value the value to set.
      Overrides:
        `isBaseUrlDirty` in class `WebPage`

    - #### getStatus

          public Integer getStatus()

      Gets the value of the 'status' field. A crawl status associated with the WebPage, can be of value STATUS_UNFETCHED - WebPage was not fetched yet, STATUS_FETCHED - WebPage was successfully fetched, STATUS_GONE - WebPage no longer exists, STATUS_REDIR_TEMP - WebPage temporarily redirects to other page, STATUS_REDIR_PERM - WebPage permanently redirects to other page, STATUS_RETRY - Fetching unsuccessful, needs to be retried e.g. transient errors and STATUS_NOTMODIFIED - fetching successful - page is not modified
      Overrides:
        `getStatus` in class `WebPage`

    - #### setStatus

          public void setStatus(Integer value)

      Sets the value of the 'status' field. A crawl status associated with the WebPage, can be of value STATUS_UNFETCHED - WebPage was not fetched yet, STATUS_FETCHED - WebPage was successfully fetched, STATUS_GONE - WebPage no longer exists, STATUS_REDIR_TEMP - WebPage temporarily redirects to other page, STATUS_REDIR_PERM - WebPage permanently redirects to other page, STATUS_RETRY - Fetching unsuccessful, needs to be retried e.g. transient errors and STATUS_NOTMODIFIED - fetching successful - page is not modified * @param value the value to set.
      Overrides:
        `setStatus` in class `WebPage`

    - #### isStatusDirty

          public boolean isStatusDirty(Integer value)

      Checks the dirty status of the 'status' field. A field is dirty if it represents a change that has not yet been written to the database. A crawl status associated with the WebPage, can be of value STATUS_UNFETCHED - WebPage was not fetched yet, STATUS_FETCHED - WebPage was successfully fetched, STATUS_GONE - WebPage no longer exists, STATUS_REDIR_TEMP - WebPage temporarily redirects to other page, STATUS_REDIR_PERM - WebPage permanently redirects to other page, STATUS_RETRY - Fetching unsuccessful, needs to be retried e.g. transient errors and STATUS_NOTMODIFIED - fetching successful - page is not modified * @param value the value to set.
      Overrides:
        `isStatusDirty` in class `WebPage`

    - #### getFetchTime

          public Long getFetchTime()

      Gets the value of the 'fetchTime' field. The system time in milliseconds for when the page was fetched.
      Overrides:
        `getFetchTime` in class `WebPage`

    - #### setFetchTime

          public void setFetchTime(Long value)

      Sets the value of the 'fetchTime' field. The system time in milliseconds for when the page was fetched. * @param value the value to set.
      Overrides:
        `setFetchTime` in class `WebPage`

    - #### isFetchTimeDirty

          public boolean isFetchTimeDirty(Long value)

      Checks the dirty status of the 'fetchTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when the page was fetched. * @param value the value to set.
      Overrides:
        `isFetchTimeDirty` in class `WebPage`

    - #### getPrevFetchTime

          public Long getPrevFetchTime()

      Gets the value of the 'prevFetchTime' field. The system time in milliseconds for when the page was last fetched if it was previously fetched which can be used to calculate time delta within a fetching schedule implementation
      Overrides:
        `getPrevFetchTime` in class `WebPage`

    - #### setPrevFetchTime

          public void setPrevFetchTime(Long value)

      Sets the value of the 'prevFetchTime' field. The system time in milliseconds for when the page was last fetched if it was previously fetched which can be used to calculate time delta within a fetching schedule implementation * @param value the value to set.
      Overrides:
        `setPrevFetchTime` in class `WebPage`

    - #### isPrevFetchTimeDirty

          public boolean isPrevFetchTimeDirty(Long value)

      Checks the dirty status of the 'prevFetchTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when the page was last fetched if it was previously fetched which can be used to calculate time delta within a fetching schedule implementation * @param value the value to set.
      Overrides:
        `isPrevFetchTimeDirty` in class `WebPage`

    - #### getFetchInterval

          public Integer getFetchInterval()

      Gets the value of the 'fetchInterval' field. The default number of seconds between re-fetches of a page. The default is considered as 30 days unless a custom fetch schedle is implemented.
      Overrides:
        `getFetchInterval` in class `WebPage`

    - #### setFetchInterval

          public void setFetchInterval(Integer value)

      Sets the value of the 'fetchInterval' field. The default number of seconds between re-fetches of a page. The default is considered as 30 days unless a custom fetch schedle is implemented. * @param value the value to set.
      Overrides:
        `setFetchInterval` in class `WebPage`

    - #### isFetchIntervalDirty

          public boolean isFetchIntervalDirty(Integer value)

      Checks the dirty status of the 'fetchInterval' field. A field is dirty if it represents a change that has not yet been written to the database. The default number of seconds between re-fetches of a page. The default is considered as 30 days unless a custom fetch schedle is implemented. * @param value the value to set.
      Overrides:
        `isFetchIntervalDirty` in class `WebPage`

    - #### getRetriesSinceFetch

          public Integer getRetriesSinceFetch()

      Gets the value of the 'retriesSinceFetch' field. The number of retried attempts at fetching the WebPage since it was last successfully fetched.
      Overrides:
        `getRetriesSinceFetch` in class `WebPage`

    - #### setRetriesSinceFetch

          public void setRetriesSinceFetch(Integer value)

      Sets the value of the 'retriesSinceFetch' field. The number of retried attempts at fetching the WebPage since it was last successfully fetched. * @param value the value to set.
      Overrides:
        `setRetriesSinceFetch` in class `WebPage`

    - #### isRetriesSinceFetchDirty

          public boolean isRetriesSinceFetchDirty(Integer value)

      Checks the dirty status of the 'retriesSinceFetch' field. A field is dirty if it represents a change that has not yet been written to the database. The number of retried attempts at fetching the WebPage since it was last successfully fetched. * @param value the value to set.
      Overrides:
        `isRetriesSinceFetchDirty` in class `WebPage`

    - #### getModifiedTime

          public Long getModifiedTime()

      Gets the value of the 'modifiedTime' field. The system time in milliseconds for when this WebPage was modified by the WebPage author, if this is not available we default to the server for this information. This is important to understand the changing nature of the WebPage.
      Overrides:
        `getModifiedTime` in class `WebPage`

    - #### setModifiedTime

          public void setModifiedTime(Long value)

      Sets the value of the 'modifiedTime' field. The system time in milliseconds for when this WebPage was modified by the WebPage author, if this is not available we default to the server for this information. This is important to understand the changing nature of the WebPage. * @param value the value to set.
      Overrides:
        `setModifiedTime` in class `WebPage`

    - #### isModifiedTimeDirty

          public boolean isModifiedTimeDirty(Long value)

      Checks the dirty status of the 'modifiedTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when this WebPage was modified by the WebPage author, if this is not available we default to the server for this information. This is important to understand the changing nature of the WebPage. * @param value the value to set.
      Overrides:
        `isModifiedTimeDirty` in class `WebPage`

    - #### getPrevModifiedTime

          public Long getPrevModifiedTime()

      Gets the value of the 'prevModifiedTime' field. The system time in milliseconds for when this WebPage was previously modified by the author, if this is not available then we default to the server for this information. This is important to understand the changing nature of a WebPage.
      Overrides:
        `getPrevModifiedTime` in class `WebPage`

    - #### setPrevModifiedTime

          public void setPrevModifiedTime(Long value)

      Sets the value of the 'prevModifiedTime' field. The system time in milliseconds for when this WebPage was previously modified by the author, if this is not available then we default to the server for this information. This is important to understand the changing nature of a WebPage. * @param value the value to set.
      Overrides:
        `setPrevModifiedTime` in class `WebPage`

    - #### isPrevModifiedTimeDirty

          public boolean isPrevModifiedTimeDirty(Long value)

      Checks the dirty status of the 'prevModifiedTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when this WebPage was previously modified by the author, if this is not available then we default to the server for this information. This is important to understand the changing nature of a WebPage. * @param value the value to set.
      Overrides:
        `isPrevModifiedTimeDirty` in class `WebPage`

    - #### getProtocolStatus

          public ProtocolStatus getProtocolStatus()

      Gets the value of the 'protocolStatus' field.
      Overrides:
        `getProtocolStatus` in class `WebPage`

    - #### setProtocolStatus

          public void setProtocolStatus(ProtocolStatus value)

      Sets the value of the 'protocolStatus' field.
      Overrides:
        `setProtocolStatus` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### isProtocolStatusDirty

          public boolean isProtocolStatusDirty(ProtocolStatus value)

      Checks the dirty status of the 'protocolStatus' field. A field is dirty if it represents a change that has not yet been written to the database.
      Overrides:
        `isProtocolStatusDirty` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### getContent

          public ByteBuffer getContent()

      Gets the value of the 'content' field. The entire raw document content e.g. raw XHTML
      Overrides:
        `getContent` in class `WebPage`

    - #### setContent

          public void setContent(ByteBuffer value)

      Sets the value of the 'content' field. The entire raw document content e.g. raw XHTML * @param value the value to set.
      Overrides:
        `setContent` in class `WebPage`

    - #### isContentDirty

          public boolean isContentDirty(ByteBuffer value)

      Checks the dirty status of the 'content' field. A field is dirty if it represents a change that has not yet been written to the database. The entire raw document content e.g. raw XHTML * @param value the value to set.
      Overrides:
        `isContentDirty` in class `WebPage`

    - #### getContentType

          public CharSequence getContentType()

      Gets the value of the 'contentType' field. The type of the content contained within the document itself. ContentType is an alias for MimeType. Historically, this parameter was only called MimeType, but since this is actually the value included in the HTTP Content-Type header, it can also include the character set encoding, which makes it more than just a MimeType specification. If MimeType is specified e.g. not None, that value is used. Otherwise, ContentType is used. If neither is given, the DEFAULT_CONTENT_TYPE setting is used.
      Overrides:
        `getContentType` in class `WebPage`

    - #### setContentType

          public void setContentType(CharSequence value)

      Sets the value of the 'contentType' field. The type of the content contained within the document itself. ContentType is an alias for MimeType. Historically, this parameter was only called MimeType, but since this is actually the value included in the HTTP Content-Type header, it can also include the character set encoding, which makes it more than just a MimeType specification. If MimeType is specified e.g. not None, that value is used. Otherwise, ContentType is used. If neither is given, the DEFAULT_CONTENT_TYPE setting is used. * @param value the value to set.
      Overrides:
        `setContentType` in class `WebPage`

    - #### isContentTypeDirty

          public boolean isContentTypeDirty(CharSequence value)

      Checks the dirty status of the 'contentType' field. A field is dirty if it represents a change that has not yet been written to the database. The type of the content contained within the document itself. ContentType is an alias for MimeType. Historically, this parameter was only called MimeType, but since this is actually the value included in the HTTP Content-Type header, it can also include the character set encoding, which makes it more than just a MimeType specification. If MimeType is specified e.g. not None, that value is used. Otherwise, ContentType is used. If neither is given, the DEFAULT_CONTENT_TYPE setting is used. * @param value the value to set.
      Overrides:
        `isContentTypeDirty` in class `WebPage`

    - #### getPrevSignature

          public ByteBuffer getPrevSignature()

      Gets the value of the 'prevSignature' field. An implementation of a WebPage's previous signature from which it can be identified and referenced at any point in time. This can be used to uniquely identify WebPage deltas based on page fingerprints.
      Overrides:
        `getPrevSignature` in class `WebPage`

    - #### setPrevSignature

          public void setPrevSignature(ByteBuffer value)

      Sets the value of the 'prevSignature' field. An implementation of a WebPage's previous signature from which it can be identified and referenced at any point in time. This can be used to uniquely identify WebPage deltas based on page fingerprints. * @param value the value to set.
      Overrides:
        `setPrevSignature` in class `WebPage`

    - #### isPrevSignatureDirty

          public boolean isPrevSignatureDirty(ByteBuffer value)

      Checks the dirty status of the 'prevSignature' field. A field is dirty if it represents a change that has not yet been written to the database. An implementation of a WebPage's previous signature from which it can be identified and referenced at any point in time. This can be used to uniquely identify WebPage deltas based on page fingerprints. * @param value the value to set.
      Overrides:
        `isPrevSignatureDirty` in class `WebPage`

    - #### getSignature

          public ByteBuffer getSignature()

      Gets the value of the 'signature' field. An implementation of a WebPage's signature from which it can be identified and referenced at any point in time. This is essentially the WebPage's fingerprint represnting its state for any point in time.
      Overrides:
        `getSignature` in class `WebPage`

    - #### setSignature

          public void setSignature(ByteBuffer value)

      Sets the value of the 'signature' field. An implementation of a WebPage's signature from which it can be identified and referenced at any point in time. This is essentially the WebPage's fingerprint represnting its state for any point in time. * @param value the value to set.
      Overrides:
        `setSignature` in class `WebPage`

    - #### isSignatureDirty

          public boolean isSignatureDirty(ByteBuffer value)

      Checks the dirty status of the 'signature' field. A field is dirty if it represents a change that has not yet been written to the database. An implementation of a WebPage's signature from which it can be identified and referenced at any point in time. This is essentially the WebPage's fingerprint represnting its state for any point in time. * @param value the value to set.
      Overrides:
        `isSignatureDirty` in class `WebPage`

    - #### getTitle

          public CharSequence getTitle()

      Gets the value of the 'title' field. The title of the WebPage.
      Overrides:
        `getTitle` in class `WebPage`

    - #### setTitle

          public void setTitle(CharSequence value)

      Sets the value of the 'title' field. The title of the WebPage. * @param value the value to set.
      Overrides:
        `setTitle` in class `WebPage`

    - #### isTitleDirty

          public boolean isTitleDirty(CharSequence value)

      Checks the dirty status of the 'title' field. A field is dirty if it represents a change that has not yet been written to the database. The title of the WebPage. * @param value the value to set.
      Overrides:
        `isTitleDirty` in class `WebPage`

    - #### getText

          public CharSequence getText()

      Gets the value of the 'text' field. The textual content of the WebPage devoid from native markup.
      Overrides:
        `getText` in class `WebPage`

    - #### setText

          public void setText(CharSequence value)

      Sets the value of the 'text' field. The textual content of the WebPage devoid from native markup. * @param value the value to set.
      Overrides:
        `setText` in class `WebPage`

    - #### isTextDirty

          public boolean isTextDirty(CharSequence value)

      Checks the dirty status of the 'text' field. A field is dirty if it represents a change that has not yet been written to the database. The textual content of the WebPage devoid from native markup. * @param value the value to set.
      Overrides:
        `isTextDirty` in class `WebPage`

    - #### getParseStatus

          public ParseStatus getParseStatus()

      Gets the value of the 'parseStatus' field.
      Overrides:
        `getParseStatus` in class `WebPage`

    - #### setParseStatus

          public void setParseStatus(ParseStatus value)

      Sets the value of the 'parseStatus' field.
      Overrides:
        `setParseStatus` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### isParseStatusDirty

          public boolean isParseStatusDirty(ParseStatus value)

      Checks the dirty status of the 'parseStatus' field. A field is dirty if it represents a change that has not yet been written to the database.
      Overrides:
        `isParseStatusDirty` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### getScore

          public Float getScore()

      Gets the value of the 'score' field. A score used to determine a WebPage's relevance within the web graph it is part of. This score may change over time based on graph characteristics.
      Overrides:
        `getScore` in class `WebPage`

    - #### setScore

          public void setScore(Float value)

      Sets the value of the 'score' field. A score used to determine a WebPage's relevance within the web graph it is part of. This score may change over time based on graph characteristics. * @param value the value to set.
      Overrides:
        `setScore` in class `WebPage`

    - #### isScoreDirty

          public boolean isScoreDirty(Float value)

      Checks the dirty status of the 'score' field. A field is dirty if it represents a change that has not yet been written to the database. A score used to determine a WebPage's relevance within the web graph it is part of. This score may change over time based on graph characteristics. * @param value the value to set.
      Overrides:
        `isScoreDirty` in class `WebPage`

    - #### getReprUrl

          public CharSequence getReprUrl()

      Gets the value of the 'reprUrl' field. In the case where we are given two urls, a source and a destination of a redirect, we should determine and persist the representative url. The logic used to determine this is based largely on Yahoo!'s Slurp Crawler
      Overrides:
        `getReprUrl` in class `WebPage`

    - #### setReprUrl

          public void setReprUrl(CharSequence value)

      Sets the value of the 'reprUrl' field. In the case where we are given two urls, a source and a destination of a redirect, we should determine and persist the representative url. The logic used to determine this is based largely on Yahoo!'s Slurp Crawler * @param value the value to set.
      Overrides:
        `setReprUrl` in class `WebPage`

    - #### isReprUrlDirty

          public boolean isReprUrlDirty(CharSequence value)

      Checks the dirty status of the 'reprUrl' field. A field is dirty if it represents a change that has not yet been written to the database. In the case where we are given two urls, a source and a destination of a redirect, we should determine and persist the representative url. The logic used to determine this is based largely on Yahoo!'s Slurp Crawler * @param value the value to set.
      Overrides:
        `isReprUrlDirty` in class `WebPage`

    - #### getHeaders

          public Map<CharSequence,CharSequence> getHeaders()

      Gets the value of the 'headers' field. Header information returned from the web server used to server the content which is subsequently fetched from. This includes keys such as TRANSFER_ENCODING, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_DISPOSITION, CONTENT_MD5, CONTENT_TYPE, LAST_MODIFIED and LOCATION.
      Overrides:
        `getHeaders` in class `WebPage`

    - #### setHeaders

          public void setHeaders(Map<CharSequence,CharSequence> value)

      Sets the value of the 'headers' field. Header information returned from the web server used to server the content which is subsequently fetched from. This includes keys such as TRANSFER_ENCODING, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_DISPOSITION, CONTENT_MD5, CONTENT_TYPE, LAST_MODIFIED and LOCATION. * @param value the value to set.
      Overrides:
        `setHeaders` in class `WebPage`

    - #### isHeadersDirty

          public boolean isHeadersDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'headers' field. A field is dirty if it represents a change that has not yet been written to the database. Header information returned from the web server used to server the content which is subsequently fetched from. This includes keys such as TRANSFER_ENCODING, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_DISPOSITION, CONTENT_MD5, CONTENT_TYPE, LAST_MODIFIED and LOCATION. * @param value the value to set.
      Overrides:
        `isHeadersDirty` in class `WebPage`

    - #### getOutlinks

          public Map<CharSequence,CharSequence> getOutlinks()

      Gets the value of the 'outlinks' field. Embedded hyperlinks which direct outside of the current domain.
      Overrides:
        `getOutlinks` in class `WebPage`

    - #### setOutlinks

          public void setOutlinks(Map<CharSequence,CharSequence> value)

      Sets the value of the 'outlinks' field. Embedded hyperlinks which direct outside of the current domain. * @param value the value to set.
      Overrides:
        `setOutlinks` in class `WebPage`

    - #### isOutlinksDirty

          public boolean isOutlinksDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'outlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Embedded hyperlinks which direct outside of the current domain. * @param value the value to set.
      Overrides:
        `isOutlinksDirty` in class `WebPage`

    - #### getInlinks

          public Map<CharSequence,CharSequence> getInlinks()

      Gets the value of the 'inlinks' field. Embedded hyperlinks which link to pages within the current domain.
      Overrides:
        `getInlinks` in class `WebPage`

    - #### setInlinks

          public void setInlinks(Map<CharSequence,CharSequence> value)

      Sets the value of the 'inlinks' field. Embedded hyperlinks which link to pages within the current domain. * @param value the value to set.
      Overrides:
        `setInlinks` in class `WebPage`

    - #### isInlinksDirty

          public boolean isInlinksDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'inlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Embedded hyperlinks which link to pages within the current domain. * @param value the value to set.
      Overrides:
        `isInlinksDirty` in class `WebPage`

    - #### getMarkers

          public Map<CharSequence,CharSequence> getMarkers()

      Gets the value of the 'markers' field. Markers flags which represent user and machine decisions which have affected influenced a WebPage's current state. Markers can be system specific and user machine driven in nature. They are assigned to a WebPage on a job-by-job basis and thier values indicative of what actions should be associated with a WebPage.
      Overrides:
        `getMarkers` in class `WebPage`

    - #### setMarkers

          public void setMarkers(Map<CharSequence,CharSequence> value)

      Sets the value of the 'markers' field. Markers flags which represent user and machine decisions which have affected influenced a WebPage's current state. Markers can be system specific and user machine driven in nature. They are assigned to a WebPage on a job-by-job basis and thier values indicative of what actions should be associated with a WebPage. * @param value the value to set.
      Overrides:
        `setMarkers` in class `WebPage`

    - #### isMarkersDirty

          public boolean isMarkersDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'markers' field. A field is dirty if it represents a change that has not yet been written to the database. Markers flags which represent user and machine decisions which have affected influenced a WebPage's current state. Markers can be system specific and user machine driven in nature. They are assigned to a WebPage on a job-by-job basis and thier values indicative of what actions should be associated with a WebPage. * @param value the value to set.
      Overrides:
        `isMarkersDirty` in class `WebPage`

    - #### getMetadata

          public Map<CharSequence,ByteBuffer> getMetadata()

      Gets the value of the 'metadata' field. A multi-valued metadata container used for storing everything from structured WebPage characterists, to ad-hoc extraction and metadata augmentation for any given WebPage.
      Overrides:
        `getMetadata` in class `WebPage`

    - #### setMetadata

          public void setMetadata(Map<CharSequence,ByteBuffer> value)

      Sets the value of the 'metadata' field. A multi-valued metadata container used for storing everything from structured WebPage characterists, to ad-hoc extraction and metadata augmentation for any given WebPage. * @param value the value to set.
      Overrides:
        `setMetadata` in class `WebPage`

    - #### isMetadataDirty

          public boolean isMetadataDirty(Map<CharSequence,ByteBuffer> value)

      Checks the dirty status of the 'metadata' field. A field is dirty if it represents a change that has not yet been written to the database. A multi-valued metadata container used for storing everything from structured WebPage characterists, to ad-hoc extraction and metadata augmentation for any given WebPage. * @param value the value to set.
      Overrides:
        `isMetadataDirty` in class `WebPage`

    - #### getBatchId

          public CharSequence getBatchId()

      Gets the value of the 'batchId' field. A batchId that this WebPage is assigned to. WebPage's are fetched in batches, called fetchlists. Pages are partitioned but can always be associated and fetched alongside pages of similar value (within a crawl cycle) based on batchId.
      Overrides:
        `getBatchId` in class `WebPage`

    - #### setBatchId

          public void setBatchId(CharSequence value)

      Sets the value of the 'batchId' field. A batchId that this WebPage is assigned to. WebPage's are fetched in batches, called fetchlists. Pages are partitioned but can always be associated and fetched alongside pages of similar value (within a crawl cycle) based on batchId. * @param value the value to set.
      Overrides:
        `setBatchId` in class `WebPage`

    - #### isBatchIdDirty

          public boolean isBatchIdDirty(CharSequence value)

      Checks the dirty status of the 'batchId' field. A field is dirty if it represents a change that has not yet been written to the database. A batchId that this WebPage is assigned to. WebPage's are fetched in batches, called fetchlists. Pages are partitioned but can always be associated and fetched alongside pages of similar value (within a crawl cycle) based on batchId. * @param value the value to set.
      Overrides:
        `isBatchIdDirty` in class `WebPage`

Copyright © 2015 The Apache Software Foundation